"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var react_native_reanimated_1 = __importStar(require("react-native-reanimated"));
var tailwind_merge_1 = require("tailwind-merge");
exports.ProgressBar = (0, react_1.forwardRef)(function (_a, ref) {
    var _b = _a.initialProgress, initialProgress = _b === void 0 ? 0 : _b, _c = _a.className, className = _c === void 0 ? '' : _c;
    var progress = (0, react_native_reanimated_1.useSharedValue)(initialProgress !== null && initialProgress !== void 0 ? initialProgress : 0);
    (0, react_1.useImperativeHandle)(ref, function () {
        return {
            setProgress: function (value) {
                progress.value = (0, react_native_reanimated_1.withTiming)(value, {
                    duration: 250,
                    easing: react_native_reanimated_1.Easing.inOut(react_native_reanimated_1.Easing.quad),
                });
            },
        };
    }, [progress]);
    var style = (0, react_native_reanimated_1.useAnimatedStyle)(function () {
        return {
            width: "".concat(progress.value, "%"),
            backgroundColor: '#000',
            height: 2,
        };
    });
    return (<react_native_1.View className={(0, tailwind_merge_1.twMerge)(" bg-[#EAEAEA]", className)}>
        <react_native_reanimated_1.default.View style={style}/>
      </react_native_1.View>);
});
//# sourceMappingURL=progress-bar.js.map