import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

export const ClearSymbolIcon = (props: SvgProps) => {
  return (
    <Svg
      width={20}
      height={20}
      viewBox="0 0 20 20"
      fill="none"
      {...props}
    >
      <Path
        d="M10 2a8 8 0 110 16 8 8 0 010-16zm3.358 5.646a.5.5 0 00-.637-.057l-.07.057L9 11.298 7.354 9.651l-.07-.058a.5.5 0 00-.695.696l.057.07 2 2 .07.057a.5.5 0 00.568 0l.07-.058 4.004-4.004.058-.07a.5.5 0 00-.058-.638z"
        fill="#22C55E"
      />
    </Svg>
  )
}