/// <reference types="lodash" />
import type { Language, resources } from './resources';
import type { RecursiveKeyOf } from './types';
type DefaultLocale = typeof resources.en.translation;
export type TxKeyPath = RecursiveKeyOf<DefaultLocale>;
export declare const LOCAL = "local";
export declare const getLanguage: () => string | undefined;
export declare const translate: ((key: TxKeyPath, options?: any) => string) & import("lodash").MemoizedFunction;
export declare const changeLanguage: (lang: Language) => void;
export declare const useSelectedLanguage: () => {
    language: "en" | "ar";
    setLanguage: (lang: Language) => void;
};
export {};
//# sourceMappingURL=utils.d.ts.map