import * as React from 'react';
import { ViewStyle } from 'react-native';
type ChipVariant = 'outline' | 'neutralLow' | 'staticWhite';
type ChipSize = 'small' | 'medium';
type ChipShape = 'pill' | 'round';
interface IconProps {
    icon: React.ReactNode;
    gap?: string | number;
}
interface ChipProps {
    variant?: ChipVariant;
    size?: ChipSize;
    shape?: ChipShape;
    text: string;
    disabled?: boolean;
    leftIcon?: IconProps;
    rightIcon?: IconProps;
    className?: string;
    style?: ViewStyle;
    onPress?: () => void;
}
export default function Chip({ variant, size, shape, text, disabled, leftIcon, rightIcon, className, style, onPress, }: ChipProps): React.JSX.Element;
export {};
//# sourceMappingURL=chip.d.ts.map